#!/usr/bin/env python3
#
#

import os
import sys

if sys.version_info.major < 3: print("you need to run ZOTBOT with python3") ; os._exit(1)

try: use_setuptools()
except: pass

try:
    from setuptools import setup
except Exception as ex: print(str(ex)) ; os._exit(1)

from distutils import sysconfig
site_packages_path = sysconfig.get_python_lib()

setup(
    name='zotbot',
    version='4',
    url='https://pikacode.com/bthate/zotbot',
    author='Bart Thate',
    author_email='bthate@dds.nl',
    description="ZOTBOT - XMPP - IRC - CLI - RSS - UDP - API",
    license='MIT',
    include_package_data=True,
    zip_safe=False,
    install_requires=["beautifulsoup4", "sleekxmpp", "feedparser"],
    scripts=["bin/zotbot", "bin/zot", "bin/zot-sed", "bin/zot-local", "bin/zot-docs", "bin/zot-udp"],
    packages=['zot',
              'zot.bots',
              'zot.contrib',
              'zot.plugs',
              'zot.services',
             ],
    long_description = """ 

POGING 218577 http://pypi.python.org/pypi/zotbot - #vvd #telefoon #crisisdienst #huisarts ? !! 2y118d 17h32m (257/dag)

Wet 1: Noem jezelf geen God als je geen respect hebt voor de schepping.

Wet 2: Ga vanuit onsterfelijkheid niet de sterfelijke mens duiden op zijn sterfelijkheid.

""",
    classifiers=[
        'Development Status :: 4 - Beta',
        'License :: OSI Approved :: MIT License',
        'Operating System :: Unix',
        'Programming Language :: Python',
        'Topic :: Software Development :: Libraries :: Python Modules'],
)
